(*********************************************************************)
(**  Pilsner: A Compositionally Verified Compiler for a             **)
(**  Higher-Order Imperative Language                               **)
(**                                                                 **)
(**  For copyright and license, see LICENSE.txt.                    **)
(**  For anything else, see README.txt.                             **)
(*********************************************************************)

open Pils_tgt


let link infile1 infile2 outfile : unit =
  let m1 = load_module infile1 in
  let m2 = load_module infile2 in
  save_module (Lang_tgt.link m1 m2) outfile
;;


let _ =
  link Sys.argv.(1) Sys.argv.(2) Sys.argv.(3)
;;
